Bug 977807 - [abrt] tar-1.26-12.fc18: set_next_block_after: Process /usr/bin/tar was killed by signal 6 (SIGABRT)
[abrt] tar-1.26-12.fc18: set_next_block_after: Process /usr/bin/tar was kille...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
abrt_hash:7e0bb923f6d759fea15b598c219...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 07:18 EDT by Suawomirr
Modified: 2014-04-05 22:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: tar-1.26-31.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-05 22:34:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (4.52 KB, text/plain)
2013-06-25 07:18 EDT, Suawomirr
no flags Details
File: cgroup (127 bytes, text/plain)
2013-06-25 07:18 EDT, Suawomirr
no flags Details
File: core_backtrace (761 bytes, text/plain)
2013-06-25 07:18 EDT, Suawomirr
no flags Details
File: dso_list (1.05 KB, text/plain)
2013-06-25 07:18 EDT, Suawomirr
no flags Details
File: environ (2.96 KB, text/plain)
2013-06-25 07:18 EDT, Suawomirr
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-25 07:18 EDT, Suawomirr
no flags Details
File: maps (4.68 KB, text/plain)
2013-06-25 07:18 EDT, Suawomirr
no flags Details
File: open_fds (148 bytes, text/plain)
2013-06-25 07:18 EDT, Suawomirr
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-06-25 07:19 EDT, Suawomirr
no flags Details
File: var_log_messages (7.67 KB, text/plain)
2013-06-25 07:19 EDT, Suawomirr
no flags Details

  None (edit)
Description Suawomirr 2013-06-25 07:18:24 EDT
Description of problem:
I just issued a command - I know now it's incorrect - but it should not make a system crash anyway:
tar -tWf new.tgz

Version-Release number of selected component:
tar-1.26-12.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        tar -tWf new.tgz
crash_function: set_next_block_after
executable:     /usr/bin/tar
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #2 set_next_block_after at buffer.c:603
 #3 verify_volume at compare.c:596
 #4 close_archive at buffer.c:1050
 #5 read_and at list.c:287
Comment 1 Suawomirr 2013-06-25 07:18:29 EDT
Created attachment 765036 [details]
File: backtrace
Comment 2 Suawomirr 2013-06-25 07:18:32 EDT
Created attachment 765037 [details]
File: cgroup
Comment 3 Suawomirr 2013-06-25 07:18:35 EDT
Created attachment 765038 [details]
File: core_backtrace
Comment 4 Suawomirr 2013-06-25 07:18:39 EDT
Created attachment 765039 [details]
File: dso_list
Comment 5 Suawomirr 2013-06-25 07:18:44 EDT
Created attachment 765040 [details]
File: environ
Comment 6 Suawomirr 2013-06-25 07:18:48 EDT
Created attachment 765041 [details]
File: limits
Comment 7 Suawomirr 2013-06-25 07:18:51 EDT
Created attachment 765042 [details]
File: maps
Comment 8 Suawomirr 2013-06-25 07:18:55 EDT
Created attachment 765043 [details]
File: open_fds
Comment 9 Suawomirr 2013-06-25 07:19:00 EDT
Created attachment 765044 [details]
File: proc_pid_status
Comment 10 Suawomirr 2013-06-25 07:19:04 EDT
Created attachment 765045 [details]
File: var_log_messages
Comment 11 Pavel Raiskup 2013-06-26 10:43:06 EDT
Thanks for the report.  Its pretty easily reproducible.  I tried to raise an
upstream ticket here:
    http://lists.gnu.org/archive/html/bug-tar/2013-06/msg00003.html
Comment 12 Fedora End Of Life 2013-12-21 10:39:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Pavel Raiskup 2013-12-30 06:22:37 EST
This issue was fixed upstream by these commits:

http://git.savannah.gnu.org/cgit/tar.git/commit/?id=cfebb3cedfb678e595b0a389074d5d7c79a33fd5
http://git.savannah.gnu.org/cgit/tar.git/commit/?id=cfebb3cedfb678e595b0a389074d5d7c79a33fd5

It is fixed rawhide (new tar release 1.27).  Could be worth fixing in F19 and
F20.
Comment 14 Pavel Raiskup 2014-04-01 15:57:38 EDT
(In reply to Pavel Raiskup from comment #13)
> This issue was fixed upstream by these commits:
> 
> http://git.savannah.gnu.org/cgit/tar.git/commit/
> ?id=cfebb3cedfb678e595b0a389074d5d7c79a33fd5
> http://git.savannah.gnu.org/cgit/tar.git/commit/
> ?id=cfebb3cedfb678e595b0a389074d5d7c79a33fd5
> 
> It is fixed rawhide (new tar release 1.27).  Could be worth fixing in F19 and
> F20.

FWIW, the second commit is 8a834dfa10 (badly pasted links).
Comment 15 Fedora Update System 2014-04-01 17:24:52 EDT
tar-1.26-31.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tar-1.26-31.fc20
Comment 16 Fedora Update System 2014-04-03 00:06:58 EDT
Package tar-1.26-31.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tar-1.26-31.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4716/tar-1.26-31.fc20
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2014-04-05 22:34:59 EDT
tar-1.26-31.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.